Experiment(){

    Context(){

        AssignmentGroup(){

            ExperimentName = "Letter Search";
            HideCursor = 0;
            DataFileTrialFormat = "%SubjectCode% %Target% %Trial.LetterSearch.NumberOfItems% %Trial.Feedback.Response% %Trial.LetterSearch.ResponseTime@i%";
            TrialFactor = 8;
            /*SubjectCode = "pxlab";*/
            StoreDataTree = 0;
            RandomizeTrials = 1;

        }
        Session(){

            Instruction(){

                Text = ["Vyhledvn \'T\' mezi psmeny \'L\'", 
                " ", 
                "Vam kolem bude stisknout co nejrychleji LEV tlatko myi, kdy prezentovan sada psmen bude obsahovat \'T\' nebo stisknout co nejrychleji PRAV, pokud jej neobsahuje.", 
                " ", 
                "Nyn stisknte libovolnou klvesu."];

            }

        }
        Trial( Target, LetterSearch.NumberOfItems, LetterSearch.ResponseCode, Feedback.Response, LetterSearch.ResponseTime){

            ClearScreen:Anfang(){

                Timer = de.pxlab.pxl.TimerCodes.CLOCK_TIMER;
                Duration = 2000;

            }
            FixationMark(){

                Timer = de.pxlab.pxl.TimerCodes.CLOCK_TIMER;
                Duration = 400;

            }
            ClearScreen:Fix(){

                Timer = de.pxlab.pxl.TimerCodes.CLOCK_TIMER;
                Duration = 400;

            }
            LetterSearch(){

                Letters = "TL";
                TargetColor = lightGray();
                DistractorColor = lightGray();
                NumberOfItems = 12;
                CellSize = 40;
                Size = 40;
                Width = 500;
                Height = 500;
                ShowTarget = 1;
                Pattern = 0;
                LocalRandomization = 1;
                Timer = de.pxlab.pxl.TimerCodes.RESPONSE_TIMER;
                ResponseSet = [1, 3];

            }
            Feedback(){

                ResponseParameter = "Trial.LetterSearch.ResponseCode";
                CorrectText = lang2("Sprvn!\n%Trial.LetterSearch.ResponseTime@i% ms", "Richtig!\n%Trial.LetterSearch.ResponseTime@i% ms");
                FalseText = lang2("patn!\n%Trial.LetterSearch.ResponseTime@i% ms", "Falsch!\n%Trial.LetterSearch.ResponseTime@i% ms");
                Evaluation = de.pxlab.pxl.EvaluationCodes.COMPARE_CODE;
                Visible = 1;
                Protocol = 0;
                Timer = de.pxlab.pxl.TimerCodes.CLOCK_TIMER;
                Duration = 2000;
                FontSize = 40;

            }

        }
        SessionEnd(){

            SessionEndMessage(){

            }

        }
        // Command line assignments
        AssignmentGroup();

    }
    Factors(){

        IndependentFactor( Target, Trial.LetterSearch.ShowTarget, Trial.Feedback.CorrectCode){

            FactorLevel( "positive", 1, 0);
            FactorLevel( "negative", 0, 1);

        }
        IndependentFactor( Trial.LetterSearch.NumberOfItems){

            FactorLevel( 3);
            FactorLevel( 6);
            FactorLevel( 9);
            FactorLevel( 12);
            FactorLevel( 15);
            FactorLevel( 18);
        }
        DependentFactor( Trial.Feedback.Response);
        DependentFactor( Trial.LetterSearch.ResponseTime);

    }
    Procedure(){

        Session(){

            Block(){

                Trial( <"positive", "negative">, <3, 6, 9, 12, 15, 18>, ?, ?, ?);
                /*Trial( <"positive", "negative">, <3, 6, 9, 12>, ?, ?, ?);*/
                /*Trial( <"positive", "negative">, <3, 6>, ?, ?, ?);*/
            }

        }

    }

}